// You can import API functions like this from D3.js.
import { select , arc } from 'd3';

// You can import local modules like this. See message.js!
import { message } from './myMessage';

// This line uses D3 to set the text of   the message div.
//select('#message').text(message);

const svg=select('svg');


const svgheight=+svg.attr("height");
const svgwidth=+svg.attr("width");

console.log(typeof svgwidth);


const circle=svg.append('circle');

circle.attr("r",svgheight/2-8).attr("cx",svgwidth/2).attr("cy",svgheight/2)
			.attr("fill","yellow");

const eyeLeft=svg.append("circle");
eyeLeft.attr("r",20).attr("cx",svgwidth/2-100).attr("cy",svgheight/2-50)
			.attr("fill","black");
const eyeRight=svg.append("circle");
eyeRight.attr("r",20).attr("cx",svgwidth/2+100).attr("cy",svgheight/2-50)
			.attr("fill","black");

const g=svg.append("g").attr("transform","translate(485,300)");
const mouth=g.append("path").attr("d",arc()({
  innerRadius: 80,
  outerRadius: 100,
  startAngle:Math.PI/2,
  endAngle: Math.PI*3/2
}));

const gbrow=svg.append("g");
const lefteyebrow=gbrow.append("rect");
lefteyebrow.attr("x",svgwidth/2-110).attr("y",svgheight/2-90).attr("width",20).attr("height","10").attr("fill","black").transition().duration(2000).attr("y",svgheight/2-120);

const righteyebrow=gbrow.append("rect");
righteyebrow.attr("x",svgwidth/2+90).attr("y",svgheight/2-90).attr("width",20).attr("height","10").attr("fill","black").transition().duration(2000).attr("y",svgheight/2-120);












